<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2"/>
  </startup>
  <appSettings>
    <!--创建AppConfig对象 0-生产 1-BETA 2-测试 3-开发调试 -->
    <add key="AppConfigType" value="0"/>
    <!--***********************************生产配置开始***********************************-->
    <!-- 请求超时时间，单位秒 -->
    <add key="TimeoutProduct" value="60"/>
    <!-- 插件下载地址 -->
    <add key="IsSVJProduct" value="0"/>
    <!-- 铺贴类素材上传接口切换（旧:true;新:false）-->
    <add key="bUpLoadFileInBatchesProduct" value="false"/>
    <!--***********************************生产配置结束***********************************-->
    <!--***********************************Beta配置开始***********************************-->
    <!-- 请求超时时间，单位秒 -->
    <add key="TimeoutBeta" value="60"/>
    <!-- 插件下载地址 -->
    <add key="IsSVJBeta" value="0"/>
    <!-- 铺贴类素材上传接口切换（旧:true;新:false）-->
    <add key="bUpLoadFileInBatchesBeta" value="false"/>
    <!--***********************************Beta配置结束***********************************-->
    <!--***********************************测试配置开始***********************************-->
    <!-- 请求超时时间，单位秒 -->
    <add key="TimeoutTest" value="60"/>
    <!-- 插件下载地址 -->
    <add key="IsSVJTest" value="0"/>
    <!--<add key="UploadSvjFtpServerTest" value="127.0.0.1"/>
    <add key="UploadSvjFtpPortTest" value="10021"/>-->
    <!-- 铺贴类素材上传接口切换（旧:true;新:false）-->
    <add key="bUpLoadFileInBatchesTest" value="false"/>
    <!--***********************************测试配置结束***********************************-->
    <!--***********************************开发调试配置开始***********************************-->
    <!-- 请求超时时间，单位秒 -->
    <add key="TimeoutDebug" value="60"/>
    <!-- 插件下载地址 -->
    <add key="IsSVJDebug" value="0"/>
    <!-- 铺贴类素材上传接口切换（旧:true;新:false）-->
    <add key="bUpLoadFileInBatchesDebug" value="false"/>
    <add key="BusinessServiceUrlDebug" value="https://test.aihouse.com/"/>
    <add key="MaxPluginURLDebug" value="http://dev.3vjia.com/UpFile_VR/scripts.zip"/>
    <!--本地验证升级-->
    <add key="UploadSvjFtpServerDebug" value="127.0.0.1"/>
    <add key="UploadSvjFtpPortDebug" value="22055"/>
    <!--***********************************开发调试配置结束***********************************-->
    <add key="ClientSettingsProvider.ServiceUri" value=""/>
  </appSettings>
  <!--log4net配置-->
  <log4net>
    <!--定义输出到文件中-->
    <appender name="LogFileDefault" type="log4net.Appender.RollingFileAppender">
      <!--定义文件存放位置-->
      <param name="File" value="Log\\"/>
      <param name="AppendToFile" value="true"/>
      <param name="rollingStyle" value="Date"/>
      <param name="datePattern" value="yyyyMMdd'.default.log'"/>
      <param name="staticLogFileName" value="false"/>
      <param name="MaxSizeRollBackups" value="10"/>
      <layout type="log4net.Layout.PatternLayout">
        <!--输出格式-->
        <!--样例：2008-03-26 13:42:32,111 [10] INFO  Log4NetDemo.MainClass [(null)] - info-->
        <conversionPattern value="记录时间：%date %n线程ID:[%thread] %n日志级别：%-5level %n类：%logger %n描述：%message%newline%n"/>
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="DEBUG"/>
        <levelMax value="WARN"/>
      </filter>
    </appender>
    <appender name="LogFileError" type="log4net.Appender.RollingFileAppender">
      <!--定义文件存放位置-->
      <param name="File" value="Log\\"/>
      <param name="AppendToFile" value="true"/>
      <param name="rollingStyle" value="Date"/>
      <param name="datePattern" value="yyyyMMdd'.error.log'"/>
      <param name="staticLogFileName" value="false"/>
      <param name="MaxSizeRollBackups" value="10"/>
      <layout type="log4net.Layout.PatternLayout">
        <!--输出格式-->
        <!--样例：2008-03-26 13:42:32,111 [10] INFO  Log4NetDemo.MainClass [(null)] - info-->
        <conversionPattern value="记录时间：%date %n线程ID:[%thread] %n日志级别：%-5level %n类：%logger %n描述：%message%newline%n"/>
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="WARN"/>
        <levelMax value="FATAL"/>
      </filter>
    </appender>
    <root>
      <level value="INFO"/>
      <!--文件形式记录日志-->
      <!--<appender-ref ref="LogFileDefault"/>-->
      <appender-ref ref="LogFileError"/>
    </root>
  </log4net>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>
</configuration>
